NPM-PING(1)

NAME
npm-ping - Ping npm registry

  Synopsis

    npm ping

Note: This command is unaware of workspaces.

  Description

Ping the configured or given npm registry and verify authentication. If it works it will output something like:

    npm notice PING https://registry.npmjs.org/
    npm notice PONG 255ms

otherwise you will get an error:

    npm notice PING http://foo.com/
    npm ERR! code E404
    npm ERR! 404 Not Found - GET http://www.foo.com/-/ping?write=true

  Configuration

  registry

    •   Default: "https://registry.npmjs.org/"

    •   Type: URL

The base URL of the npm registry.

  See Also

    •   npm help doctor

    •   npm help config

    •   npm help npmrc